Libtool problems when building ImageMagick
Volker Quetschke
quetschke@scytek.de
Mon Mar 17 22:00:00 GMT 2008
Brian Dessent wrote:
> Anyway, since this bundled libtool looks like it's very recent it
> doesn't make sense to try to forcibly autoreconf it to something older,
> as cygautoreconf seems to want to run autoreconf --force. Normally
> autoreconf would only run libtoolize if it looks like something needs
> updating. So I guess what I'm saying is just remove cygautoreconf from
> your cygport, or if it's needed for some reason, don't run --force.
I didn't try without cygautoreconf, cygport insists (hardcoded) on using
--force in the autoreconf command. Using the following patch
--- /usr/bin/cygport.org 2008-03-17 17:30:33.745423700 -0400
+++ /usr/bin/cygport 2008-03-17 17:17:50.856572500 -0400
@@ -976,7 +976,7 @@
export WANT_AUTOCONF=${WANT_AUTOCONF:-2.5};
export WANT_AUTOMAKE;
- /usr/bin/autoreconf --force -i --verbose || error "autoreconf
failed"
+ /usr/bin/autoreconf -i --verbose || error "autoreconf failed"
for d in . ${ac_subdirs}
do
leads to a successful build of ImageMagick.
Volker
> Brian
>
> --
> Unsubscribe info: http://cygwin.com/ml/#unsubscribe-simple
> Problem reports: http://cygwin.com/problems.html
> Documentation: http://cygwin.com/docs.html
> FAQ: http://cygwin.com/faq/
>
>
--
= http://wiki.services.openoffice.org/wiki/Debug_Build_Problems =
PGP/GPG key (ID: 0x9F8A785D) available from wwwkeys.de.pgp.net
key-fingerprint 550D F17E B082 A3E9 F913 9E53 3D35 C9BA 9F8A 785D
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 248 bytes
Desc: OpenPGP digital signature
URL: <http://cygwin.com/pipermail/cygwin/attachments/20080317/464b341b/attachment.sig>
More information about the Cygwin
mailing list